NTHASH(1)

NAME
nthash - Recursive hash function for hashing all possible k-mers in a DNA/RNA sequence

SYNOPSIS
ntHash -k VAR -o VAR [-f VAR] [-h] [-s VAR] [--long] [--binary] [--verbose] files

DESCRIPTION
Unknown argument: --help

  Positional arguments:

files
    Input sequence files [nargs: 0 or more] [required]

  Optional arguments:

-v, --version prints version information and exits

-k  k-mer size [required]

-o  Output file (for -f collect) or directory path [required]

-f  Output file organization (store hashes for each 'file', 'record', or 'collect' all hashes into a single file [default: "file"]

-h  Number of hashes per k-mer/seed [default: 1]

-s  Input spaced seed patterns separated by commas (e.g. 1110111,11011011). Performs k-mer hashing if no value provided.

--long
    Optimize file reader for long sequences (>5kbp)

--binary
    Output hashes in binary files (otherwise plain text)

--verbose
    Print progress to stdout

AUTHOR
 This manpage was written by Nilesh Patra for the Debian distribution and
 can be used for any other usage of the program.